Bildirim Gönderici
GET https://dijital.link/api/notification-handlers/
curl --request GET \
--url 'https://dijital.link/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://dijital.link/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Detaylar | Açıklama |
|---|---|---|
| search | İsteğe bağlı String | Arama dizesi. |
| search_by | İsteğe bağlı String | Hangi alanı arıyorsunuz. İzin verilen değerler: name. |
| is_enabled | İsteğe bağlı Boolean | |
| type | İsteğe bağlı String | Hangi alanı arıyorsunuz. İzin verilen değerler: email, webhook, telegram, microsoft_teams, whatsapp, google_chat. |
| datetime_field | İsteğe bağlı String | Geçerli değerler: datetime, last_datetime |
| datetime_start | İsteğe bağlı String | Sonuçları bu tarih ve saatten itibaren filtreleyin. Y-m-d H:i:s formatı. |
| datetime_end | İsteğe bağlı String | Sonuçları bu tarih ve saate kadar filtreleyin. Y-m-d H:i:s formatı. |
| order_by | İsteğe bağlı String | Sonuçları hangi alanla sıralamak istersiniz. İzin verilen değerler: notification_handler_id, datetime, last_datetime, name. |
| order_type | İsteğe bağlı String | Sonuçların sıralanması. İzin verilen değerler: ASC artan sıralama için ve DESC azalan sıralama için. |
| search | İsteğe bağlı String | Arama dizesi. |
| search_by | İsteğe bağlı String | Hangi alanı arıyorsunuz. İzin verilen değerler: name. |
| is_enabled | İsteğe bağlı Boolean | |
| type | İsteğe bağlı String | Hangi alanı arıyorsunuz. İzin verilen değerler: email, webhook, telegram, microsoft_teams, whatsapp, google_chat. |
| datetime_field | İsteğe bağlı String | Geçerli değerler: datetime, last_datetime |
| datetime_start | İsteğe bağlı String | Sonuçları bu tarih ve saatten itibaren filtreleyin. Y-m-d H:i:s formatı. |
| datetime_end | İsteğe bağlı String | Sonuçları bu tarih ve saate kadar filtreleyin. Y-m-d H:i:s formatı. |
| order_by | İsteğe bağlı String | Sonuçları hangi alanla sıralamak istersiniz. İzin verilen değerler: notification_handler_id, datetime, last_datetime, name. |
| order_type | İsteğe bağlı String | Sonuçların sıralanması. İzin verilen değerler: ASC artan sıralama için ve DESC azalan sıralama için. |
| page | İsteğe bağlı Tamsayı | İstediğiniz sonuçları almak istediğiniz sayfa numarası. Varsayılan olarak 1. |
| results_per_page | İsteğe bağlı Tamsayı | Her sayfa için kaç sonuç istersiniz. İzin verilen değerler: 10, 25, 50, 100, 250, 500, 1000. Varsayılan değer: 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-22 17:02:14",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://dijital.link/api/notification-handlers?page=1",
"last": "https://dijital.link/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://dijital.link/api/notification-handlers?page=1"
}
}
GET https://dijital.link/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://dijital.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://dijital.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-22 17:02:14",
}
}
POST https://dijital.link/api/notification-handlers
| Parameters | Detaylar | Açıklama |
|---|---|---|
| name | Gerekli String | - |
| type | Gerekli String | Geçerli değerler: email, webhook, telegram, microsoft_teams, whatsapp, google_chat |
| İsteğe bağlı String | Ne zaman kullanılabilir: type = email E-posta | |
| webhook | İsteğe bağlı String | Ne zaman kullanılabilir: type = webhook Webhook URL |
| telegram | İsteğe bağlı String | Ne zaman kullanılabilir: type = telegram Telegram API Anahtarı |
| telegram_chat_id | İsteğe bağlı String | Ne zaman kullanılabilir: type = telegram Telegram Sohbet Kimliği |
| microsoft_teams | İsteğe bağlı String | Ne zaman kullanılabilir: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | İsteğe bağlı String | Ne zaman kullanılabilir: type = google_chat Google sohbet webhook URL'si |
| İsteğe bağlı String | Ne zaman kullanılabilir: type = whatsapp Telefon numarası |
curl --request POST \
--url 'https://dijital.link/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://dijital.link/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://dijital.link/api/notification-handlers/{notification_handler_id}
| Parameters | Detaylar | Açıklama |
|---|---|---|
| name | İsteğe bağlı String | - |
| type | İsteğe bağlı String | Geçerli değerler: email, webhook, telegram, microsoft_teams, whatsapp, google_chat |
| İsteğe bağlı String | Ne zaman kullanılabilir: type = email E-posta | |
| webhook | İsteğe bağlı String | Ne zaman kullanılabilir: type = webhook Webhook URL |
| telegram | İsteğe bağlı String | Ne zaman kullanılabilir: type = telegram Telegram API Anahtarı |
| telegram_chat_id | İsteğe bağlı String | Ne zaman kullanılabilir: type = telegram Telegram Sohbet Kimliği |
| microsoft_teams | İsteğe bağlı String | Ne zaman kullanılabilir: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | İsteğe bağlı String | Ne zaman kullanılabilir: type = google_chat Google sohbet webhook URL'si |
| İsteğe bağlı String | Ne zaman kullanılabilir: type = whatsapp Telefon numarası | |
| is_enabled | İsteğe bağlı Boolean | - |
curl --request POST \
--url 'https://dijital.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://dijital.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://dijital.link/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://dijital.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://dijital.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \